{% extends 'bases/base.html' %}
{% load i18n breadcrumbs crispy_forms_tags humanize %}

{% block page_title %}
    {% blocktranslate with collection_name=collection.name asset_name=asset.name %}
        View {{ collection_name }}: {{ asset_name }}
    {% endblocktranslate %}
{% endblock %}

{% block head_og_tags %}
    {{ block.super }}
    <meta property="og:title" content="{{ asset.name }}" />
    <meta property="og:description" content="{{ asset.profile|default:asset.description|striptags|truncatechars:80 }}" />
{% endblock %}
{% block breadcrumbs %}
{% endblock %}
{% block content %}
<div class="container-fluid p-0">

    <main class="content">
        <div class="container-fluid p-0">


            <div class="card">
                <div class="card-body">
                    <div class="tab">
                        <ul class="nav nav-tabs justify-content-left">
                            <li class="nav-item"><a class="nav-link active h3" href="#details" data-toggle="tab" role="tab" aria-selected="true">{{ asset.name }}</a></li>
                            <li class="nav-item"><a class="nav-link h3" href="#opensea" data-toggle="tab" role="tab">OpenSea</a></li>
                            {% if asset.current_owner.owner_user == user %}
                                <li class="nav-item"><a class="nav-link h3" href="#edit_profile" data-toggle="tab" role="tab">Edit Profile</a></li>
                            {% endif %}
                        </ul>

                        <div class="tab-content">

                            <div class="tab-pane active" id="details" role="tabpanel">

                                <div class="row">

                                    <div class="col-lg-6 col-xl-3 d-flex">
                                        <div class="card flex-fill">
                                            <div class="card-header">
                                                <h5 class="card-title mb-0 mt-2">{% translate "Diameter" %}</h5>
                                            </div>
                                            <div class="card-body my-0 pt-0">
                                                <div class="row d-flex align-items-center mb-3">
                                                    <div class="col-8">
                                                        <h3 class="d-flex align-items-center mb-0 font-weight-light">
                                                            {% blocktranslate with diameter=asset.diameter|floatformat:0|intcomma|default:"--.--" %}
                                                            {{ diameter }} m
                                                            {% endblocktranslate %}
                                                        </h3>
                                                    </div>
                                                </div>

                                                <div class="progress progress-sm shadow-sm mb-1">
                                                    <div class="progress-bar bg-primary" role="progressbar" style="width: 50%"></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-6 col-xl-3 d-flex">
                                        <div class="card flex-fill">
                                            <div class="card-header">
                                                <h5 class="card-title mb-0 mt-2">{% translate "Surface Area" %}</h5>
                                            </div>
                                            <div class="card-body my-0 pt-0">
                                                <div class="row d-flex align-items-center mb-3">
                                                    <div class="col-8">
                                                        <h3 class="d-flex align-items-center mb-0 font-weight-light">
                                                            1,000 km<sup>2</sup>
                                                        </h3>
                                                    </div>
                                                </div>

                                                <div class="progress progress-sm shadow-sm mb-1">
                                                    <div class="progress-bar bg-danger" role="progressbar" style="width: 1%"></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-6 col-xl-3 d-flex">
                                        <div class="card flex-fill">
                                            <div class="card-header">
                                                <h5 class="card-title mb-0 mt-2">{% translate "Lots in Use" %}</h5>
                                            </div>
                                            <div class="card-body my-0 pt-0">
                                                <div class="row d-flex align-items-center mb-3">
                                                    <div class="col-8">
                                                        <h3 class="d-flex align-items-center mb-0 font-weight-light">
                                                            0.00
                                                        </h3>
                                                    </div>
                                                    <div class="col-4 text-right">
                                                        <span class="text-muted">--.--%</span>
                                                    </div>
                                                </div>

                                                <div class="progress progress-sm shadow-sm mb-1">
                                                    <div class="progress-bar progress-bar-striped bg-warning" role="progressbar"
                                                        style="width: 100%"></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-6 col-xl-3 d-flex">
                                        <div class="card flex-fill">
                                            <div class="card-header">
                                                <h5 class="card-title mb-0 mt-2">{% translate "Monthly Revenue Target" %}</h5>
                                            </div>
                                            <div class="card-body my-0 pt-0">
                                                <div class="row d-flex align-items-center mb-3">
                                                    <div class="col-8">
                                                        <h3 class="d-flex align-items-center mb-0 font-weight-light">
                                                            $--.--
                                                        </h3>
                                                    </div>
                                                    <div class="col-4 text-right">
                                                        <span class="text-muted">--.--%</span>
                                                    </div>
                                                </div>

                                                <div class="progress progress-sm shadow-sm mb-1">
                                                    <div class="progress-bar bg-danger" role="progressbar" style="width: 1%"></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>

                                <div class="row">

                                    <div class="col-4">
                                        <div class="card">
                                            <div class="card-body">
                                                <img src="https://images.influenceth.io/v1/asteroids/{{ asset.serial }}/image.svg" alt="{{ asset.get_spectral_type_display }}" width="100%" class="p-5">
                                                <p class="p-5">
                                                    <a class="btn btn-success" href="{% url 'nfts:asset-refresh' collection.symbol asset.serial %}"><i class="fas fa-sync"></i>&nbsp;{% translate "Refresh Asteroid Data" %}</a>
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-4">
                                        <div class="card">
                                            <div class="card-header">
                                                <h4 class="card-title mb-0">{% translate "Profile" %}</h4>
                                            </div>
                                            <div class="card-body">
                                                {% autoescape off %}
                                                {{ asset.profile }}
                                                {% endautoescape %}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-4">
                                        <div class="card">
                                            <div class="card-header">
                                                <h4 class="card-title mb-0">{% translate "Attributes" %}</h4>
                                            </div>
                                            <div class="card-body">
                                                <dl class="row">
                                                    <dt class="col-6">{% translate "Rarity" %}:</dt>
                                                    <dd>
                                                        <tt> -- </tt>
                                                    </dd>

                                                    <dt class="col-6">{% translate "Owner" %}:</dt>
                                                    <dd>
                                                        <tt>{{ asset.current_owner.owner_user.username|default:"&nbsp;" }}</tt>
                                                    </dd>

                                                    <dt class="col-6">{% translate "Allegiance" %}:</dt>
                                                    <dd>
                                                        <tt>{{ asset.current_owner.owner_user.allegiance.name|default:"&nbsp;" }}</tt>
                                                    </dd>

                                                    <dt class="col-6">{% translate "Size" %}:</dt>

                                                    {% if asset.diameter < 10000 %}
                                                        <dd>
                                                            <tt>Small</tt>
                                                        </dd>
                                                    {% elif asset.diameter < 20000 %}
                                                        <dd>
                                                            <tt>Medium</tt>
                                                        </dd>
                                                    {% elif asset.diameter < 100000 %}
                                                        <dd>
                                                            <tt>Large</tt>
                                                        </dd>
                                                    {% else %}
                                                        <dd>
                                                            <tt>Huge</tt>
                                                        </dd>
                                                    {% endif %}
                                                </dl>

                                                <hr />

                                                <dl class="row">

                                                    <dt class="col-6">{% translate "Spectral Type" %}:</dt>
                                                        <dd>
                                                            <tt>{{ asset.get_spectral_type_display }}</tt>
                                                        </dd>

                                                    <dt class="col-6">{% translate "Yield" %}:</dt>
                                                    <dd>
                                                        <tt>+ ?%</tt>
                                                    </dd>

                                                    <dt class="col-6">{% translate "Organics" %}:</dt>
                                                    <dd>
                                                        <tt>+ ?%</tt>
                                                    </dd>

                                                    <dt class="col-6">{% translate "Volatiles" %}:</dt>
                                                    <dd>
                                                        <tt>+ ?%</tt>
                                                    </dd>

                                                    <dt class="col-6">{% translate "Metals" %}:</dt>
                                                    <dd>
                                                        <tt>+ ?%</tt>
                                                    </dd>

                                                    <dt class="col-6">{% translate "Rare Earth" %}:</dt>
                                                    <dd>
                                                        <tt>+ ?%</tt>
                                                    </dd>

                                                    <dt class="col-6">{% translate "Fissiles" %}:</dt>
                                                    <dd>
                                                        <tt>+ ?%</tt>
                                                    </dd>
                                                </dl>

                                                <hr />

                                                <dl class="row">

                                                    <dt class="col-6">{% translate "Orbital Period" %}:</dt>
                                                    <dd>
                                                        {% blocktranslate with orbital_period=asset.orbital_period|floatformat:3|default:"-.--" %}
                                                        <tt>{{ orbital_period }} days</tt>
                                                        {% endblocktranslate %}
                                                    </dd>

                                                    <dt class="col-6">{% translate "Semi-major Axis" %}:</dt>
                                                    <dd>
                                                        {% blocktranslate with semi_major_axis=asset.semi_major_axis|floatformat:3|default:"-.--" %}
                                                        <tt>{{ semi_major_axis }} AU</tt>
                                                        {% endblocktranslate %}
                                                    </dd>

                                                    <dt class="col-6">{% translate "Inclination" %}:</dt>
                                                    <dd>
                                                        {% blocktranslate with inclination=asset.inclination|floatformat:3|default:"-.---" %}
                                                        <tt>{{ inclination }} degrees</tt>
                                                        {% endblocktranslate %}
                                                    </dd>

                                                    <dt class="col-6">{% translate "Eccentricity" %}:</dt>
                                                    <dd>
                                                        <tt>{{ asset.eccentricity|floatformat:3|default:"-.---" }}</tt>
                                                    </dd>

                                                    <dt class="col-6">{% translate "Diameter" %}:</dt>
                                                    <dd>
                                                        {% blocktranslate with diameter=asset.diameter|floatformat:0|intcomma|default:"--.--" %}
                                                        <tt>{{ diameter }} meters</tt>
                                                        {% endblocktranslate %}
                                                    </dd>

                                                    <dt class="col-6">{% translate "Surface Area" %}:</dt>
                                                    <dd>
                                                        <tt>-,---.-- km<sup>2</sup></tt>
                                                    </dd>
                                                </dl>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="tab-pane" id="opensea" role="tabpanel">
                                <div class="alert alert-primary">
                                    <div class="alert-message">
                                        <h4 class="alert-heading">{% translate "OpenSea Embed &mdash; Reduced Functionality" %}</h4>
                                        <p>{% blocktranslate %}OpenSea only offers reduced functionality for embeds. To access this asset in OpenSea, click below.{% endblocktranslate %}</p>
                                        <hr>
                                        <div class="btn-list">
                                            <a class="btn btn-secondary" href="https://opensea.io/assets/0x6e4c6d9b0930073e958abd2aba516b885260b8ff/{{ asset.serial }}" target="_blank">{% translate "Open in OpenSea" %} <i class="fas fa-external-link-alt"></i></a>
                                        </div>
                                    </div>
                                </div>
                                <hr>
                                <iframe src="https://opensea.io/assets/0x6e4c6d9b0930073e958abd2aba516b885260b8ff/{{ asset.serial }}?embed=true"
                                    style="width: 100%; min-height: 1000px;"
                                    frameborder='0'
                                    allowfullscreen>
                                </iframe>
                            </div>
                            <div class="tab-pane" id="edit_profile" role="tabpanel">
                                {% crispy edit_form %}
                            </div>
                        </div>

                    </div>
                </div>
            </div>

        </div>
    </main>
</div>
{% endblock %}
